﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>DOM Element Operations</title>
    <style type="text/css">
        .red { color: red; }
        .large { font-size: xx-large; }
    </style>
</head>
<body style="font-family:Verdana; font-size: 15px;">
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" ID="ScriptManager1" />
        <script language="javascript" type="text/javascript">
            $addCss = Sys.UI.DomElement.addCssClass;
            $removeCss = Sys.UI.DomElement.removeCssClass;
            $containsCss = Sys.UI.DomElement.containsCssClass;
            $toggleCss = Sys.UI.DomElement.toggleCssClass;
        </script>
        
        <input type="checkbox" id="inputElement" />
        <div id="someContainer">
            <input type="text" id="inputElement" />
        </div>
        <script language="javascript" type="text/javascript">
            document.write($get("inputElement").type + "<br />");
            document.write($get("inputElement", $get("someContainer")).type);
        </script>
        
        <hr />
        <div id="someText">Hello World</div>
        <input type="button" value="Add Red" onclick="$addCss($get('someText'), 'red')" />
        <input type="button" value="Remove Red" onclick="$removeCss($get('someText'), 'red')" />
        <input type="button" value="Toggle Large" onclick="$toggleCss($get('someText'), 'large')" />
        <input type="button" value="Contains Large" onclick="alert($containsCss($get('someText'), 'large'))" />
        
        <hr />
        <div id="anElement" style="background-color:Red; color: White; position: absolute; overflow: hidden">
            Hello World
        </div>
        <script language="javascript" type="text/javascript">
            function setRandomLocation()
            {
                var left = Math.floor(Math.random() * 100);
                var top = Math.floor(Math.random() * 100);
                Sys.UI.DomElement.setLocation($get("anElement"), left, top);
            }
            
            function setRandomSize()
            {
                $get("anElement").style.width = Math.floor(Math.random() * 100 + 50) + "px";
                $get("anElement").style.height = Math.floor(Math.random() * 100 + 50) + "px";
            }
            
            function showLocation()
            {
                var point = Sys.UI.DomElement.getLocation($get("anElement"));
                alert(String.format("X: {0}, Y: {1}", point.x, point.y));
            }
            
            function showBounds()
            {
                var bounds = Sys.UI.DomElement.getBounds($get("anElement"));
                alert(String.format("X: {0}, Y: {1}, Width: {2}, Height: {3}",
                    bounds.x, bounds.y, bounds.width, bounds.height));
            }
        </script>
        <input type="button" value="Set Location" onclick="setRandomLocation()" />
        <input type="button" value="Set Size" onclick="setRandomSize()" />
        <input type="button" value="Show Location" onclick="showLocation()" />
        <input type="button" value="Show Size" onclick="showBounds()" />
    </form>
</body>
</html>
